[![Join the chat at https://gitter.im/finemimperii/Lobby](https://badges.gitter.im/finemimperii/Lobby.svg)](https://gitter.im/finemimperii/Lobby?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)
[![Maintainability](https://api.codeclimate.com/v1/badges/80d5efdbde0db436fd53/maintainability)](https://codeclimate.com/github/jardiacaj/finem_imperii/maintainability)
[![Test Coverage](https://api.codeclimate.com/v1/badges/80d5efdbde0db436fd53/test_coverage)](https://codeclimate.com/github/jardiacaj/finem_imperii/test_coverage)

[![Build Status](https://travis-ci.org/jardiacaj/finem_imperii.svg?branch=master)](https://travis-ci.org/jardiacaj/finem_imperii)
[![Coverage Status](https://coveralls.io/repos/github/jardiacaj/finem_imperii/badge.svg?branch=HEAD)](https://coveralls.io/github/jardiacaj/finem_imperii?branch=HEAD)
[![Docker Image Layers](https://images.microbadger.com/badges/image/jardiacaj/finem_imperii.svg)](https://microbadger.com/images/jardiacaj/finem_imperii)

# Finem Imperii

Public test release: http://fi.joanardiaca.net/ (game currently stopped)

Finem Imperii is a web-based role-strategy multiplayer game. Characters
are part of a long-lived open persistent world placed in the late
middle ages, where they will usually take the role of prominent members
of society (e.g. commanders, traders, treasurers, rulers). Cooperation
among players is a core part of the game, and is required for most
scenarios.

Unlike other similar games, the players do not need to log-in
frequently or at certain times. Also, the level of deepness and
involvement can be variable, and there is no benefit from spending
large amounts of time playing. There is no fixed objective in this
game, but there are many open possibilities for the players.

License: [GNU Affero General Public License v3.0](https://github.com/jardiacaj/finem_imperii/blob/master/LICENSE)

## Documentation index

 - [Concept](https://github.com/jardiacaj/finem_imperii/blob/master/docs/1-concept.md)
 - [Introduction](https://github.com/jardiacaj/finem_imperii/blob/master/docs/0-intro.md)
 - [How to contribute](https://github.com/jardiacaj/finem_imperii/blob/master/CONTRIBUTING.md)
 - [Buildings](https://github.com/jardiacaj/finem_imperii/blob/master/docs/3-buildings.md)
 - [Server setup guide](https://github.com/jardiacaj/finem_imperii/blob/master/docs/4-server_setup.md)
 - [Code of conduct](https://github.com/jardiacaj/finem_imperii/blob/master/CODE_OF_CONDUCT.md)

## UOC deliveries (videos in Catalan, text in English)

 - [Roadmap](https://github.com/jardiacaj/finem_imperii/blob/master/docs/5-roadmap.md)
 - PAC2
    - [text](https://github.com/jardiacaj/finem_imperii/blob/master/docs/5-PAC2.md)
    - [video](https://www.youtube.com/watch?v=5st9PQ-c4mY)
 - PAC3
    - [text](https://github.com/jardiacaj/finem_imperii/blob/master/docs/5-PAC3.md)
    - [video](https://www.youtube.com/watch?v=F-trGMinLgA)
 - Final
    - [text (ODT)](https://github.com/jardiacaj/finem_imperii/blob/master/docs/final.fodt)
    - [video](https://www.youtube.com/watch?v=U3K7ZS2y5sg&list=PLFGHa89PbqVcDhu-ckluKqQ2UPWbCXYYd)
    - [presentation (ODP)](https://github.com/jardiacaj/finem_imperii/blob/master/docs/presentation.fodp)
